catalog:
  title: TensorFlow Pose Estimation with ROS nodes

templates:
- github
- cmake-catkin
- base

variables:
  github.user: CentralLabFacilities
  github.project: tf-pose-estimation

  branches:
  - master

  pre-build-hook/unix.command: |
    # We might need to upgrade pip in here on Ubuntu 16.04, e.g,
    # pip2 install --target ${toolkit.dir} --upgrade pip
    # pip2 install --target ${toolkit.dir} --upgrade setuptools
    # Not sure yet what implications this has.
    if [ -f ${toolkit.dir}/setup.sh ] ; then
      . ${toolkit.dir}/setup.sh
    else
      . /opt/ros/${ros}/setup.sh
    fi
    cd tf_pose/pafprocess
    swig -python -c++ pafprocess.i && python setup.py build_ext --inplace

versions:
- name: master
  variables:
    branch: master
